Bug #771: test/unit wrapper breaks compatibility
http://redmine.ruby-lang.org/issues/show/771

Author: Jeremy Kemper
Status: Open, Priority: Normal
Category: lib, Target version: 1.9.1

The test/unit wrapper breaks libraries that add behavior to Test::Unit::TestCase.

You can't require 'test/unit/testcase' because it doesn't exist. But you can't require 'test/unit' because it autoruns tests.

The patch brings back test/unit/testcase.rb and test/unit/assertions.rb to restore compatibility.


----------------------------------------
http://redmine.ruby-lang.org